#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_RouteGroupCFGData
{
	//key
	int mID;
	//·Ö×éÃû×Ö
	std::string mGroupName;
	//Â·¾¶ID
	std::vector<int> mRouteIDs;
};

class Fish_RouteGroupCFG
{
public:
private:
	static std::auto_ptr<Fish_RouteGroupCFG> msSingleton;
public:
	int GetCount();
	const Fish_RouteGroupCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_RouteGroupCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_RouteGroupCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_RouteGroupCFGData> mMapData;
};
